Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358143 (zendframework/zend-mvc-console) - Review Request: php-zendframework-zend-mvc-console - Zend Framework Mvc-Console component
Summary: Review Request: php-zendframework-zend-mvc-console - Zend Framework Mvc-Conso...
Keywords:
Status: CLOSED RAWHIDE
Alias: zendframework/zend-mvc-console
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357393
TreeView+ depends on / blocked
 
Reported: 2016-07-20 07:45 UTC by Remi Collet
Modified: 2016-11-30 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 17:21:58 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (deleted)
2016-11-29 20:35 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (deleted)
2016-11-29 20:36 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (deleted)
2016-11-29 20:37 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-07-20 07:45:03 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/zend/php-zendframework-zend-mvc-console/php-zendframework-zend-mvc-console.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-mvc-console-1.1.10-1.remi.src.rpm
Description: 
zend-mvc-console provides integration between:

* zend-console
* zend-mvc
* zend-router
* zend-view

and replaces the console functionality found in the v2 releases of the latter three components.

* File issues at https://github.com/zendframework/zend-mvc-console/issues
* Documentation is at https://zendframework.github.io/zend-mvc-console/

Fedora Account System Username: remi


Related to https://fedoraproject.org/wiki/Changes/ZF3

Comment 1 Shawn Iwinski 2016-11-29 20:35:43 UTC
Created attachment 1226003 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 2 Shawn Iwinski 2016-11-29 20:36:12 UTC
Created attachment 1226004 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 3 Shawn Iwinski 2016-11-29 20:37:03 UTC
Created attachment 1226005 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358143
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-11-29 20:38:44 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[!]: Requires correct, justified where necessary.

     Can be fixed after initial import ("zend-filter" vs "zend-json-filter"):
         Composer:
             "zendframework/zend-filter": "^2.6.1, to filter rendered results"
         Spec:
             Suggests:       php-composer(%{gh_owner}/zend-json-filter)



[!]: Latest version is packaged.

     Packaged version = 1.1.10
     Latest upstream version = 1.1.11



No blockers.

===== APPROVED =====

Comment 5 Gwyn Ciesla 2016-11-30 14:06:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-mvc-console

Comment 6 Remi Collet 2016-11-30 17:21:58 UTC
Package:    php-zendframework-zend-mvc-console-1.1.10-1.fc26
Status:     complete


Note You need to log in before you can comment on or make changes to this bug.